Bug 44932 - Writer PRINTING: Printing on bottom of envelopes appears bottom-up
Summary: Writer PRINTING: Printing on bottom of envelopes appears bottom-up
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
3.3.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
: 43758 46351 49203 90676 99862 (view as bug list)
Depends on:
Blocks: Envelope
  Show dependency treegraph
 
Reported: 2012-01-19 02:37 UTC by jlerner10
Modified: 2018-07-31 02:33 UTC (History)
11 users (show)

See Also:
Crash report or crash signature:


Attachments
Envelope position in LO (77.06 KB, application/vnd.oasis.opendocument.text)
2012-03-15 02:34 UTC, jlerner10
Details
MS Word envelope Face up postion (40.60 KB, application/vnd.oasis.opendocument.text)
2012-03-16 08:03 UTC, jlerner10
Details
LO Envelope problem (13.30 KB, image/png)
2015-12-24 09:52 UTC, jlerner10
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jlerner10 2012-01-19 02:37:55 UTC
Problem description: 
Will not print envelopes correctly according to the icon within the program
Steps to reproduce:

I open Writer and go to Insert Envelope. I then pick out Format after entering Addressee - I then pick the Printer tab and select Print from the bottom and then select the picture that matched my printers Envelope format (Flap up on left side- envelope enters from the right side of printer).

I can not seem to get it to printer on the envelope. It keeps wanting to print on the left side (where there no envelope).

I even tried to print it as a PDF and still no luck.

Current behavior:
Prints address as if the envelope is on the left side of the printer.
Expected behavior:
Envelope actions are on the right side of the printer
Platform (if different from the browser): 
              
Browser: Mozilla/5.0 (Windows NT 5.1; rv:10.0) Gecko/20100101 Firefox/10.0
Comment 1 sasha.libreoffice 2012-03-14 22:49:50 UTC
Thanks for bugreport

Please, attach odt file document that demonstrates this problem, screenshot of printer settings, foto or scan of wrong and good result of printing.
Please, try on another computer or OS if available
Try print on "Microsoft Image Writer" on Windows instead of printer if available and tell result
Sorry for so much to work and thanks in advance
Comment 2 jlerner10 2012-03-15 02:34:17 UTC
Created attachment 58480 [details]
Envelope position in LO
Comment 3 sasha.libreoffice 2012-03-16 03:59:54 UTC
Thanks for additional information
Reproduced in 3.3.4 and 3.5.1 on Fedora 64 bit
Steps to reproduce:
0. Start Writer
1. Insert->Envelope, tab "Printer", Envelope orientation most righthand, select "Print from bottom" (also shown in attachment)
2. Pay attention how envelope placed (flap on right hand)
3. Press "New doc." on bottom of dialog (new document appears)
4. Enter some text into text frame, if needed
5. Print document
Expected: text printed on right hand side of page (where supposed is flap of envelope, as shown in step 2)
Actually: text is on left side of page

Changing version to 3.3.4 as most early reproducible
Comment 4 jlerner10 2012-03-16 08:03:47 UTC
Created attachment 58565 [details]
MS Word envelope Face up postion
Comment 5 sasha.libreoffice 2012-04-30 01:57:56 UTC
*** Bug 46351 has been marked as a duplicate of this bug. ***
Comment 6 sasha.libreoffice 2012-04-30 02:00:36 UTC
*** Bug 49203 has been marked as a duplicate of this bug. ***
Comment 7 jlerner10 2012-06-02 04:16:44 UTC Comment hidden (no-value)
Comment 8 Michael Meeks 2012-06-02 04:33:48 UTC
The label printing code was substantially re-done in recent time - not sure if that is related. Bugs get fixed when people fix them, patches are most welcome :-) I'll poke Winfried to see if he can help.
Comment 9 jlerner10 2012-06-02 06:55:26 UTC
Thanks.

It's not just for me it is also for those who have the same problem using other printer Model.
Comment 10 Winfried Donkers 2012-06-03 22:43:06 UTC
(In reply to comment #8)
I will look at it and see if it is something I can work on.
Comment 11 sasha.libreoffice 2012-06-03 23:39:47 UTC
changing version again to 3.3.4 as most early reproduced
Comment 12 Winfried Donkers 2012-06-04 01:43:28 UTC
(In reply to comment #10)
The code is not related to the label printing code (as far as I could see). The envelope printing code is completely unfamilar to me: This bug will have to wait for a hacker who is (more) familiar with this piece of code...
Comment 13 Joel Madero 2012-09-07 20:48:58 UTC
*** Bug 43758 has been marked as a duplicate of this bug. ***
Comment 14 jlerner10 2012-11-15 18:23:14 UTC Comment hidden (no-value)
Comment 15 Michael Meeks 2012-11-15 21:20:38 UTC
> Will this ever be fixed?

Bugs get fixed more quickly if you jump in and get stuck into poking at the code to try to work out what is going wrong :-) Do you want some code pointers ?
Comment 16 jlerner10 2012-11-15 21:37:41 UTC
(In reply to comment #15)
> > Will this ever be fixed?
> 
> Bugs get fixed more quickly if you jump in and get stuck into poking at the
> code to try to work out what is going wrong :-) Do you want some code
> pointers ?

If I knew what I was doing then I would say yes.
But I am not a programmer.

I am just someone who uses the program and noticed a bug.
Comment 17 sasha.libreoffice 2012-11-16 06:26:19 UTC
Thanks for interesting in this bug and additional testing.
"Version" is most old version with bug, not current version of LO.
changing version again to 3.3.4 as most early reproduced for 3-th time
Comment 18 jlerner10 2012-11-16 09:20:51 UTC Comment hidden (no-value)
Comment 19 jlerner10 2013-08-18 18:03:37 UTC
This still has not been fixed.
Problem still exists in LO 4.0.4 - 4.1.04 and 4.1.1.1

They should just included away to rotate the format 180 degrees just like MS Office does.
Comment 20 elicoten 2013-09-17 21:29:08 UTC
Also affects me on Ubuntu 13.04 with Libreoffice Writer 4.0.2.2 and a HP Deskjet Printer.

I also notice that a blank page is printed after every envelope, this also seems to be specific to LibreOffice.

WORKAROUND:

Export the envelope to PDF and set all the print settings correctly in Adobe Reader - note that these must be set manually from the Printer Driver properties. Unlike LibreOffice, Adobe Reader does not automatically set the printer page size and envelope feeder tray (might be specific to my printer) from the document.
Comment 21 Gene 2014-07-09 15:56:09 UTC
Tested envelop printing yesterday and to my surprise it worked correctly.
1.  Linux Mint 17 patched current.
2,  LibreOffice version 4.2.5
3.  Epson printer drivers for Epson Artisan 830 generic driver (epson-inkjet-printer-escpr_1.4.0-1lsb3.2_amd64.deb) dated 03-10-2014
4.  Printing from 4.2.4.2 still does not work using Ubuntu 14.04 patched current.  Not certain if it is the same printer driver as above.  If not the driver is Espon's full feathered driver (epson-inkjet-printer-artisan-725-835-series_1.0.0-1lsb3.2_amd64.deb).  This driver is dated 02-07/2012 on the download page.  I will upgrade to 4.2.5.2 and see if there is a change, and update the bug report.

Only issue I saw was the envelopes must be inserted differently than for the other OS I use (sadly MS Win 7),  Seems odd.  I would think the envelop orientation would be the same and conform to an Epson standard for proper orientation of the envelopes in the paper tray.
Comment 22 tommy27 2014-10-27 20:06:11 UTC
(In reply to sasha.libreoffice from comment #3)
> Thanks for additional information
> Reproduced in 3.3.4 and 3.5.1 on Fedora 64 bit
> ...

hi sasha,
are you still reproducing this bug with current LibO 4.2.6.3 or 4.3.5.2?
Comment 23 sasha.libreoffice 2014-10-30 09:33:51 UTC
Sorry, I have not printer no more. May be somebody else can test.
Comment 24 QA Administrators 2015-12-20 16:17:52 UTC Comment hidden (obsolete)
Comment 25 jlerner10 2015-12-24 09:52:23 UTC
Created attachment 121531 [details]
LO Envelope problem

LO 5.04.2
Comment 26 sm8ps 2016-01-02 22:32:35 UTC
Ditto for LO 5.0.4.2 on Ubuntu 12.04 and HP 3800 Color Laserjet printer.
Work-around is to have driver set to rotate by 180 degrees.

BTW, if there are pointers to the code section in question then I would not mind taking a look at it. :)
Comment 27 Alex Thurgood 2016-06-09 09:04:38 UTC
*** Bug 90676 has been marked as a duplicate of this bug. ***
Comment 28 Alex Thurgood 2016-06-09 09:05:29 UTC
*** Bug 99862 has been marked as a duplicate of this bug. ***
Comment 29 QA Administrators 2018-07-31 02:33:53 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug